Skip to content

Submit a review and vouch together via the Ethos Everywhere wallet

POST
/wallets/privy/review-and-vouch-v2
curl --request POST \
--url https://api.ethos.network/api/v2/wallets/privy/review-and-vouch-v2 \
--header 'Content-Type: application/json' \
--cookie ethos-access-token=<ethos-access-token> \
--data '{ "target": "example", "comment": "example", "description": "example", "amount": "example", "batchId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Posts a positive review of the target alongside a V2 vouch in a single atomic transaction via Review.reviewAndVouchWithPermit. > ⚠️ Warning: This is a beta endpoint. It is not guaranteed to be stable and may change or break without notice.

Media typeapplication/json
object
target
required
string
comment
required
string
>= 1 characters
description
string
amount
required
string
batchId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/

Example generated

{
"target": "example",
"comment": "example",
"description": "example",
"amount": "example",
"batchId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Successful response

Media typeapplication/json
object
hash
required

0x-prefixed 32-byte transaction hash (keccak256)

string
batchId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/

Example generated

{
"hash": "example",
"batchId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}